%define majver %(echo %version | cut -d. -f1-2)

Name:          frameworkintegration
Version:       5.19.0
Release:       1mamba
Summary:       KDE Frameworks 5 Integration of Qt application with KDE workspaces
Group:         Graphical Desktop/Applications/Environment
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/5.19/frameworkintegration-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libXcursor-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknotifications-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 Integration of Qt application with KDE workspaces.

## remove the library block if this package does not provide library and development stuff
%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_datadir}/kconf_update/frameworksintegration-5.16-font.sh
%{_datadir}/kconf_update/frameworksintegration-5.16-font.upd
%dir %{_kde5_datadir}/kf5/infopage
%{_kde5_datadir}/kf5/infopage/*
%{_datadir}/knotifications5/plasma_workspace.notifyrc
%doc COPYING.LIB

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Style.so.*
%{_libdir}/qt5/plugins/kf5/FrameworkIntegrationPlugin.so
%{_libdir}/qt5/plugins/platformthemes/KDEPlatformTheme.so

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/KStyle
%{_kde5_includedir}/KStyle/*.h
%{_kde5_includedir}/frameworkintegration_version.h
%{_kde5_includedir}/KStyle/KStyle
%{_kde5_libdir}/cmake/KF5FrameworkIntegration/KF5FrameworkIntegration*.cmake
%{_kde5_libdir}/libKF5Style.so

%changelog
* Tue Mar 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.19.0-1mamba
- package created using the webbuild interface
